[xiph-cvs] cvs commit: ogg autogen.sh

Ralph Giles giles at xiph.org
Thu Oct 23 03:33:30 PDT 2003



giles       03/10/23 06:33:30

  Modified:    .        autogen.sh
  Log:
  Continuing autotools creeping feature infection. Have autogen.sh fall
  back to glibtoolize (as it's shipped by apple on macosx) if libtoolize
  is not available. This commit propagates the same change made to
  libvorbis. Bug 363.
  
  Also corrects missing closing quotes.

Revision  Changes    Path
1.8       +17 -5     ogg/autogen.sh

Index: autogen.sh
===================================================================
RCS file: /usr/local/cvsroot/ogg/autogen.sh,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- autogen.sh	31 Jul 2003 15:35:37 -0000	1.7
+++ autogen.sh	23 Oct 2003 10:33:30 -0000	1.8
@@ -11,6 +11,7 @@
 cd "$srcdir"
 DIE=0
 
+echo "checking for autoconf... "
 (autoconf --version) < /dev/null > /dev/null 2>&1 || {
         echo
         echo "You must have autoconf installed to compile $package."
@@ -19,19 +20,30 @@
         DIE=1
 }
 
+echo "checking for automake... "
 (automake --version) < /dev/null > /dev/null 2>&1 || {
         echo
         echo "You must have automake installed to compile $package."
-	echo "Download the appropriate package for your system,
+	echo "Download the appropriate package for your system,"
         echo "or get the source from one of the GNU ftp sites"
         echo "listed in http://www.gnu.org/order/ftp.html"
         DIE=1
 }
 
-(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+echo -n "checking for libtool... "
+for LIBTOOLIZE in libtoolize glibtoolize nope; do
+  (which $LIBTOOLIZE) > /dev/null 2>&1 && break
+done
+if test x$LIBTOOLIZE = xnope; then
+  echo "nope."
+  LIBTOOLIZE=libtoolize
+else
+  echo $LIBTOOLIZE
+fi
+($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
         echo
         echo "You must have libtool installed to compile $package."
-	echo "Download the appropriate package for your system,
+	echo "Download the appropriate package for your system,"
         echo "or get the source from one of the GNU ftp sites"
         echo "listed in http://www.gnu.org/order/ftp.html"
         DIE=1
@@ -52,8 +64,8 @@
 aclocal $ACLOCAL_FLAGS
 #echo "  autoheader"
 #autoheader
-echo "  libtoolize --automake"
-libtoolize --automake
+echo "  $LIBTOOLIZE --automake"
+$LIBTOOLIZE --automake
 echo "  automake --add-missing $AUTOMAKE_FLAGS"
 automake --add-missing $AUTOMAKE_FLAGS 
 echo "  autoconf"

<p><p>--- >8 ----
List archives:  http://www.xiph.org/archives/
Ogg project homepage: http://www.xiph.org/ogg/
To unsubscribe from this list, send a message to 'cvs-request at xiph.org'
containing only the word 'unsubscribe' in the body.  No subject is needed.
Unsubscribe messages sent to the list will be ignored/filtered.



More information about the commits mailing list